<template>
  <form @submit="formSubmit">   
    <!--   <form action="{{ route('lelang.makebid') }}" method="POST" enctype="multipart/form-data">   --> 
    <!--    @csrf       -->       
                 <div class='col-sm-6 col-md-7 product-info-block'>
                        <div class="product-info">
                            <h1 class="name">{{ $lelang->nmitem }}</h1>
                            
                            <div class="description-container m-t-20">
                                 <h4 class="section-title">Bids : {{ $lelang->jmlbid }}</h4>
                                 <h4 class="section-title">Kondisi : {{ $lelang->kondisi_item }}</h4>
                                 <h4 class="section-title">Posted : {{ $lelang->created_at }}</h4>
                                 <h4 class="section-title"> <div style="color: #ff7878" data-countdown="{{ $lelang->tgl_bts_penawaran }}"></div></h4>
                                 
                                <h5><b>Harga Minimum :
                                     <h2 v-model.number="hrg_max" style="color: #ff7878">Rp. {{ number_format($lelang->hrgawal,0,',','.') }}</h2>
                                </b></h5>
                            </div><!-- /.description-container -->

                            <!--center>
                                <br><button class="btn checkout-btn">Proses lelang telah selesai</button>
                            </center --> 
                            @if(!Auth::guard('customer')->check()) 
                                <center>
                                    <br><button id="btn_make_bid" class="btn btn-danger">Make Bid</button>
                                </center> 
                            @endif
                            @if(Auth::guard('customer')->check())   
                               
                                <input type="text" v-if="isIdlelang" class="form-control" v-model="idlelang" id='tidlelang' value="{{ $lelang->id }}" name="idlelang">    
                                <input type="text" v-if="isUserid" class="form-control" v-model="userid" id='tuserid' name="userid" value="{{ Auth::guard('customer')->user()->id }}" name="userid">    

                            
                                <input class="form-control" v-model="hrg_bid" @input="checkBid" id="harga" name="harga" placeholder="Masukan Harga Penawaran Anda">    
                            <!--     <input class="form-control" v-model.lazy="hrg_bid" v-money="money" @input="checkBid" id="harga" name="harga" placeholder="Masukan Harga Penawaran Anda">    
                             -->    <!--   <money v-model="hrg_bid"
                             v-bind="money"
                             class="form-control" ></money>  -->
                                    <br>
                                      <h5>@{{ message }}</h5>

                                      <h5>@{{ output }}</h5>
                                     
                                    <button type="submit" v-if="seen" class="btn btn-danger">Make Bid</button>

                                  

                               

                               

                      
                            @endif
                            
                            
                            
                        </div><!-- /.product-info -->
                    </div><!-- /.col-sm-7 -->
                </div><!-- /.row -->
             </div>

      </form>          
</template>

<script>
  

  export default {
    data () {
      return {
           message: '',
            hrg_max: <?php echo $lelang->hrgawal ?>,
            hrg_bid: '',
            events: [],
            seen: true,
            isIdlelang:false,
            isUserid:false,
              money: {
                decimal: ',',
                thousands: '.',
                prefix: '',
                suffix: '',
                precision: 0,
                masked: true
              },
              idlelang: '',
              userid: '',
              output: '',
      }
    },
     methods: {
    formSubmit(e) {
                e.preventDefault();
                let currentObj = this;
                axios.post('/lelang/makebid', {
                    harga: this.hrg_bid,
                    idlelang: this.idlelang,
                    userid: this.userid,
                })
                .then(function (response) {
                    currentObj.output = response.data;
                })
                .catch(function (error) {
                    currentObj.output = error;
                });
    },

    checkBid: function(e){
       if(Number(this.hrg_bid) <= Number(this.hrg_max)){
         this.message = 'Harga bid harus lebih dari harga minimum';
       //  this.hrg_bid = '';
         this.seen = false;
      }
      if(Number(this.hrg_bid) > Number(this.hrg_max)){
        this.message = '';
        this.seen = true
      } 

      e.preventDefault(); 
    }
      
  }  
  }
</script>